TILESTACHE-CLEAN(1)

NAME
tilestache-clean - clean tiles from a TileStache cache

SYNOPSIS
tilestache-clean [options] zoom...

DESCRIPTION
This manual page documents briefly the tilestache-clean command.

tilestache-clean is used to clean tiles from a TileStache cache.

Cleans a single layer in your TileStache configuration - no images are returned, and TileStache ends up with an empty in selected areas cache. Bounding box is given as a pair of lat/lon coordinates, e.g. "37.788 -122.349 37.833 -122.246". Output is a list of tile paths as they are created.

The zoom option is a space separated list of zoom levels which will be cleaned. e.g. 12 13 14 15 will clean zooms 12 through 15. Many shells allow you to use {a..b} which will expand to a list of numbers a though to b. Required.

REQUIRED OPTIONS

-c, --config file
    Path to configuration file. Required.

-l, --layer layer
    Layer name from configuration. "ALL" is a special value that will clean all layers in turn. If you have an actual layer named "ALL", use "ALL LAYERS" instead. Required.

-b, --bbox south west north east
    Bounding box in floating point geographic coordinates. Required.

OPTIONS
-h, --help Show summary of options.

-p, --padding padding
    Extra margin of tiles to add around bounded area. Default value is 0 (no extra tiles).

-e, --extension extension
    Optional file type for rendered tiles. Default value is 'png'.

-f, --progress-file file
    Optional JSON progress file that gets written on each iteration, so you don't have to pay close attention.

-q  Suppress chatty output, --progress-file works well with this.

-i, --include-path path
    Add the following colon-separated list of paths to Python's include path (aka sys.path)

--tile-list file
    Optional file of tile coordinates, a simple text list of Z/X/Y coordinates. Overrides --bbox and --padding.

SEE ALSO
tilestache-seed(1)

AUTHOR
TileStache was written by Michal Migurski <mike@stamen.com>.

This manual page was written by Andrew Harvey <andrew.harvey4@gmail.com>, for the Debian project (and may be used by others).